Debian Bug report logs - #500161
libcdk5-dev missing the file cdk_test.h

version graph

Package: libcdk5-dev; Maintainer for libcdk5-dev is Debian QA Group <packages@qa.debian.org>; Source for libcdk5-dev is src:libcdk5.

Reported by: brent sirna <brent@romcomm.com>

Date: Thu, 25 Sep 2008 17:09:01 UTC

Severity: normal

Found in version libcdk5/5.0.20060507-1

Fixed in version libcdk5/5.0.20060507-3

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#500161; Package libcdk5-dev. (Thu, 25 Sep 2008 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to brent sirna <brent@romcomm.com>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. (Thu, 25 Sep 2008 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: brent sirna <brent@romcomm.com>
To: submit@bugs.debian.org
Subject: libcdk5-dev missing the file cdk_test.h
Date: Thu, 25 Sep 2008 10:06:59 -0700
Package: libcdk5-dev
Version: 5.0.20060507-1

I just starting playing around with the Curses Development Kit and
noticed that the file cdk_test.h is missing from the deb file. I checked
the source Debian file and the file does exist in it. I found this
because I was unable to build the example files included. When I
installed this file the example I was playing with built correctly.

Would appreciate it if you could add this file to the package

I am using Lenny with the packages updated as of September 24, 2008.

Linux version 2.6.25-2-486 (Debian 2.6.25-7) (maks@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 Fri Jul 18 17:03:35 UTC 2008

thanks









Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#500161; Package libcdk5-dev. (Thu, 27 May 2010 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Lawrence <nomad@null.net>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 27 May 2010 18:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 500161@bugs.debian.org (full text, mbox):

From: Mark Lawrence <nomad@null.net>
To: 500161@bugs.debian.org
Subject: Bump.
Date: Thu, 27 May 2010 19:36:06 +0200
A couple of years have gone by on this bug, and I just ran into it. Any
chance of fix?

Of interest perhaps (to reduce the amount of work involved) is patch to
the package generated by Ubuntu:

  https://bugs.launchpad.net/ubuntu/+source/libcdk5/+bug/565526

Regards,
Mark.
-- 
Mark Lawrence




Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Fri, 11 Feb 2011 01:21:05 GMT) Full text and rfc822 format available.

Notification sent to brent sirna <brent@romcomm.com>:
Bug acknowledged by developer. (Fri, 11 Feb 2011 01:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 500161-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 500161-close@bugs.debian.org
Subject: Bug#500161: fixed in libcdk5 5.0.20060507-3
Date: Fri, 11 Feb 2011 01:18:00 +0000
Source: libcdk5
Source-Version: 5.0.20060507-3

We believe that the bug you reported is fixed in the latest version of
libcdk5, which is due to be installed in the Debian FTP archive:

libcdk5-dev_5.0.20060507-3_amd64.deb
  to main/libc/libcdk5/libcdk5-dev_5.0.20060507-3_amd64.deb
libcdk5_5.0.20060507-3.debian.tar.gz
  to main/libc/libcdk5/libcdk5_5.0.20060507-3.debian.tar.gz
libcdk5_5.0.20060507-3.dsc
  to main/libc/libcdk5/libcdk5_5.0.20060507-3.dsc
libcdk5_5.0.20060507-3_amd64.deb
  to main/libc/libcdk5/libcdk5_5.0.20060507-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated libcdk5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Feb 2011 19:50:32 -0500
Source: libcdk5
Binary: libcdk5 libcdk5-dev
Architecture: source amd64
Version: 5.0.20060507-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 libcdk5    - C-based curses widget library
 libcdk5-dev - C-based curses widget library (development files)
Closes: 452401 500161 593283
Changes: 
 libcdk5 (5.0.20060507-3) unstable; urgency=low
 .
   * QA Upload.
   * Policy 3.9.1 (see Lintian cleaning below) and debian/compat 8
   * Lintian cleaning
     - ${misc:Depends} added to libcdk5 and libcdk5-dev
     - fixed make clean call: [ ! -f Makefile ] || $(MAKE) distclean
     - debian/compat 7
     - replaced ${Source-Version} with ${binary:Version} in debian/control
     - dh_prep used in rules instead of dh_clean -k
   * Removed static patching of config.guess config.sub, removed those files,
     they will be copied from autotools-dev package in debian/rules
   * removed the following lines from debian/libcdk5-dev.install
     (dh_install throws error if you try to install files from an empty dir,
     and these files were not present in the previous Debian build)
     - usr/lib/pkgconfig/*
     - usr/lib/*.la
     - usr/share/pkgconfig/*
   * Added missing headers and example files (Closes: #500161, LP: #565526)
     - debian/patches/missing_header_examples.patch
     - debian/libcdk5-dev.examples added: include/cdk_test.h, examples/.,
       demos/
   * Fixed segfault in calendar.c (Closes: #452401, LP: #290624)
     - debian/patches/cal_segfault.patch
   * debian/patches/libcdk5_man_cdk_display_examples_fix.diff
     - The examples in the cdk_display(3) man page are incorrect
       (wrong colors, segfault) (Closes: #593283)
Checksums-Sha1: 
 de6081e390ec44172091e7c865a47dd9c463dbb1 1069 libcdk5_5.0.20060507-3.dsc
 bda23411da7af37922862ba3a694533b42cb9a64 7423 libcdk5_5.0.20060507-3.debian.tar.gz
 c229dd722caffe1cfb242403a20408bc7e29b1e0 133578 libcdk5_5.0.20060507-3_amd64.deb
 9cbdc67e021b0c52de22a45a871c9ccb428f5165 406420 libcdk5-dev_5.0.20060507-3_amd64.deb
Checksums-Sha256: 
 59ebdc3445559b4723a38b394bd4a9401dc13d74acc5090d6437a69b9e20b87b 1069 libcdk5_5.0.20060507-3.dsc
 d52e133551f294d450ea0a4358a2ef935f46d4caedc5288dd56809c8070219af 7423 libcdk5_5.0.20060507-3.debian.tar.gz
 c1a012f8e59041e3d1864b48fbba2905a871bba0bce63ec4ba4d8ec1608bc325 133578 libcdk5_5.0.20060507-3_amd64.deb
 eb02257fe95d0fb0841e2180526f9e0d7c92c0e685d9e863adede72a2a485c32 406420 libcdk5-dev_5.0.20060507-3_amd64.deb
Files: 
 2d3cd8eaf8c1c15f51da9f39644f79d1 1069 libs optional libcdk5_5.0.20060507-3.dsc
 98b7ea6316a2bf4f7121aa97f898e93e 7423 libs optional libcdk5_5.0.20060507-3.debian.tar.gz
 30126dad5236f6b5b7100401c10b9459 133578 libs optional libcdk5_5.0.20060507-3_amd64.deb
 220eb19696877469f6f543a030e35a7d 406420 libdevel optional libcdk5-dev_5.0.20060507-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1UisQACgkQuqVp0MvxKmoQygCeKJf9ONSYsUql827NnhiktSYd
md0An2LIcbrhL+VMRpUWmRiH9jokRSkD
=HqkE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Mar 2011 07:47:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:46:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.